# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = SETUP.exe
OBJFILES = SETUP.obj QSsetup\SetupVer.obj QSsetup\SetupDlg.obj \
   QSsetup\UninstDlg.obj QSsetup\DirBrow.obj QSsetup\WaitDlg.obj \
   QSsetup\SetupMain.obj QSsetup\WipeDlgs.obj QSsetup\View.obj \
   QSsetup\Mixmaster.obj QSsetup\HeadMan.obj QSsetup\FileMan.obj \
   QSsetup\Global.obj QSsetup\Fmxutils.obj
RESFILES = QSsetup\Setup.res
RESDEPEN = $(RESFILES) QSsetup\SetupDlg.dfm QSsetup\UninstDlg.dfm \
   QSsetup\DirBrow.dfm QSsetup\WaitDlg.dfm QSsetup\SetupMain.dfm \
   QSsetup\WipeDlgs.dfm QSsetup\View.dfm
LIBFILES = QSsetup\zlib.LIB
DEFFILE = 
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qssetup;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\qssetup;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -I.\qssetup;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -v -$Y -$W -$O- -JPHNV -M     
RFLAGS = -i.\qssetup;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn 
LFLAGS = -L.\qssetup;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -aa -Tpe -x -v -V4.0 
IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
